{% extends 'base.html' %}
{% block content %}


<div class="car-list">
    {% for car in car_list %}
    <div class="car-container">
        <img class="car-image" src="{{ car.image.url }}" alt="Car Image"><br>
        <img class="car-number-image" src="{{ car.car_number_photo.url }}" alt="Car Number Photo">
        <div class="car-number">{{ car.car_number }}</div>
        <div class="car-number">{{ car.country }}</div>
        <div class="car-number">{{ car.processed_text }}</div>
    </div>
    {% endfor %}
</div>

<style>
    .car-list {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .car-container {
        border: 1px solid #ddd;
        padding: 20px;
        margin: 10px;
        text-align: center;
    }

    .car-image {
        max-width: 100%;
        max-height: 200px;
        margin-bottom: 10px;
    }
    .car-number-image{
        max-width: 100px;
        max-height: 200px;
        margin-bottom: 10px;
    }
    .car-number {
        font-size: 18px;
    }
</style>
{% endblock %}